import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Check
import Core
import Dialog
import I18n

import "../core"
import "../widgets"

BaseForm {
    id: root
    Style.class: "closedForm"

    ColumnLayout {
        anchors.fill: parent
        spacing: 40

        SGroupBox {
            Layout.fillHeight: true
            Layout.fillWidth: true

            ColumnLayout {
                anchors.centerIn: parent
                SLabel {
                    Layout.alignment: Qt.AlignHCenter
                    Style.class: "closedThanks"
                    Tr { code: "closedThanks" }
                }
                Space { height: 100 }
                SLabel {
                    Layout.alignment: Qt.AlignHCenter
                    Style.class: "closedHintReceipt"
                    Tr {
                        code: {
                            switch (Check.closedHint) {
                            case CheckTypes.ClosedHint.goods: return "closedHintReceipt"
                            case CheckTypes.ClosedHint.receipt:
                                return Check.receiptType == DialogTypes.CustomerAddressType.Sms ? "closedHintReceiptSendOnPhoneNumber"
                                                                                                : "closedHintReceiptSendOnEmail"
                            }
                        }
                    }
                }
                Space { height: 300 }
                Loader {
                    id: hintLoader
                    Layout.alignment: Qt.AlignHCenter
                    source: {
                        switch (Check.closedHint) {
                        case CheckTypes.ClosedHint.goods: return "GoodsHint.qml"
                        case CheckTypes.ClosedHint.receipt:
                            return Check.receiptType == DialogTypes.CustomerAddressType.Sms ? "PhoneNumberReceiptHint.qml"
                                                                                            : "EmailReceiptHint.qml"
                        }
                    }
                }
            }
        }

        ActionButton {
            visible: Check.closedHintTimer.active
            Layout.preferredHeight: 110
            Layout.fillWidth: true
            Style.class: "closedCompletePurchase"

            Tr { code: "closedCompletePurchase" }

            action: "CHECK_WELCOME"
            onClicked: () => PluginManager.internalAsync("CORE_HINT", { name: "Closed" })
            ActionButtonTimer {
                secondsLeft: Check.closedHintTimer.interval / 1000;
                onTimeout: { secondsLeft = Check.closedHintTimer.interval / 1000; }
            }
        }
    }
}
