import QtQuick
import QtQuick.Controls

import Core

import "../widgets"

Page {
    width: emailReceipt.width
    height: emailReceipt.height
    background: null

    SvgImage {
        id: emailReceipt
        anchors.horizontalCenter: parent.horizontalCenter
        source: Style.parameter("image.emailReceipt")
        Behavior on y {
            SmoothedAnimation {
                velocity: Style.animationVelocity("transition.closed.emailReceipt", 75)
                easing.type: Easing.InCirc
            }
        }
        state: "start"
        states: [
            State { name: "start"; PropertyChanges { target: emailReceipt; y: -101 } },
            State { name: "finish"; PropertyChanges { target: emailReceipt; y: -260 } }
        ]
        Timer {
            interval: Style.animationDuration("transition.closed.emailReceipt", 2500)
            running: true
            repeat: true
            triggeredOnStart: true
            onTriggered: emailReceipt.state == "start" ? emailReceipt.state = "finish"
                                                       : emailReceipt.state = "start"
        }
    }
}
