import QtQuick
import QtQuick.Controls

import Core

import "../widgets"

Page {
    width: goods.width
    height: goods.height
    background: null

    SvgImage {
        id: goods
        source: Style.parameter("image.closedScale")
        SvgImage {
            id: bag
            anchors.horizontalCenter: parent.horizontalCenter
            source: Style.parameter("image.closedBag")
            Behavior on y { SmoothedAnimation { velocity: Style.animationVelocity("transition.closed.goods", 200) } }
            state: "start"
            states: [
                State {
                    name: "start"
                    PropertyChanges { target: bag; y: -101 }
                },
                State {
                    name: "finish"
                    PropertyChanges { target: bag; y: -260 }
                }
            ]
            Timer {
                interval: Style.animationDuration("transition.closed.goods", 2500)
                running: true
                repeat: true
                triggeredOnStart: true
                onTriggered: bag.state == "start" ? bag.state = "finish"
                                                  : bag.state = "start"
            }
        }
    }
}
