import QtQuick
import QtQuick.Layouts

import Core
import I18n

import "../core"
import "../widgets"

/**
 * @brief Подсказка для частичной оплаты
 * @note Если будет принят общий формат диалога с подсказками - вынести в плагин диалога
 */
ModalForm {
    contentItem: ColumnLayout {
        spacing: 24
        SLabel {
            Layout.fillWidth: true
            horizontalAlignment: Qt.AlignHCenter
            Style.class: "partialPaymentHelpTitle"
            Tr { code: "partialPaymentHelpTitle" }
        }
        SLabel {
            Layout.fillWidth: true
            horizontalAlignment: Qt.AlignHCenter
            verticalAlignment: Qt.AlignVCenter
            Style.class: "partialPaymentHelpDesc"
            Tr { code: "partialPaymentHelpDescription" }
        }
        Space { Layout.preferredHeight: 24 }
        SLabel {
            Layout.fillWidth: true
            horizontalAlignment: Qt.AlignHCenter
            verticalAlignment: Qt.AlignVCenter
            Style.class: "partialPaymentHelpTitle"
            Tr { code: "partialPaymentHelpHowto" }
        }
        Repeater {
            model: 4
            SGroupBox {
                Layout.fillWidth: true
                Layout.preferredHeight: 104
                Style.class: "partialPaymentHelpStep"
                contentItem: RowLayout {
                    spacing: 24
                    SLabel {
                        Layout.preferredWidth: 60
                        Layout.preferredHeight: 40
                        horizontalAlignment: Qt.AlignHCenter
                        verticalAlignment: Qt.AlignVCenter
                        Layout.alignment: Qt.AlignVCenter
                        Style.class: "partialPaymentHelpStepNum"
                        text: index + 1
                    }
                    SLabel {
                        Layout.fillWidth: true
                        Layout.fillHeight: true
                        verticalAlignment: Qt.AlignVCenter
                        Style.class: "partialPaymentHelpStepDesc"
                        Tr { code: "partialPaymentHelpStep" + (index + 1) }
                    }
                }
            }
        }
        Space { Layout.preferredHeight: 24 }
        ActionButton {
            Layout.fillWidth: true
            Layout.preferredHeight: 105
            onClicked: removeContext()
            Tr { code: "partialPaymentHelpOk" }
        }
    }
}
