import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Core

/**
 * @brief Виджет тумблера
 */
Item {
    id: root
    Style.type: "Switch"
    property alias checked: swtch.checked
    property alias text: label.text
    property alias layoutDirection: layout.layoutDirection

    RowLayout {
        id: layout
        anchors.fill: parent
        spacing: 16
        SLabel {
            id: label
            Layout.fillWidth: true
            Layout.fillHeight: true
            font: root.Style.text.font
            color: root.Style.text.color
            verticalAlignment: Qt.AlignVCenter
        }
        Switch {
            id: swtch
            Layout.preferredWidth: 88
            Layout.preferredHeight: 56
            Layout.alignment: Qt.AlignVCenter
            indicator: Rectangle {
                implicitWidth: 88
                implicitHeight: 56
                radius: width / 2
                color: root.Style.background.color

                Rectangle {
                    x: swtch.checked ? parent.width - width - 6 : 6
                    y: parent.height / 2 - height / 2
                    width: 44
                    height: width
                    radius: width / 2
                    color: root.Style.content.color

                    Behavior on x {
                        enabled: !Context.context || Context.onTop
                        SmoothedAnimation {
                            duration: Style.animationDuration("switch", 100)
                        }
                    }
                }

                Behavior on color {
                    enabled: !Context.context || Context.onTop
                    ColorAnimation {
                        duration: Style.animationDuration("switch", 100)
                    }
                }
            }
        }
    }
}
